Debian Bug report logs - #628844
module-init-tools: breaks modinfo -F firmware <module>

version graph

Package: module-init-tools; Maintainer for module-init-tools is Marco d'Itri <md@linux.it>; Source for module-init-tools is src:kmod.

Reported by: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Date: Wed, 1 Jun 2011 19:27:05 UTC

Severity: critical

Merged with 628859, 628898, 628947

Found in version module-init-tools/3.13-1

Fixed in version module-init-tools/3.16-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-kernel@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#628844; Package module-init-tools. (Wed, 01 Jun 2011 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to debian-kernel@lists.debian.org, Marco d'Itri <md@linux.it>. (Wed, 01 Jun 2011 19:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: module-init-tools: breaks modinfo -F firmware <module>
Date: Wed, 1 Jun 2011 21:25:15 +0200
Package: module-init-tools
Version: 3.13-1
Severity: normal
X-Debbugs-CC: debian-kernel@lists.debian.org

Hi

After updating to module-init-tools 3.13-1, querying module information
through modinfo -F starts to fail:

$ /sbin/modinfo -F firmware ath9k_htc
debug:Debugging mask (uint)
nohwcrypt:Disable hardware encryption (int)

$ /sbin/modinfo -F firmware /lib/modules/2.6.39-1-amd64/kernel/drivers/net/wireless/ath/ath9k/ath9k_htc.ko 
debug:Debugging mask (uint)
nohwcrypt:Disable hardware encryption (int)

The same procedure is used by linux-image's postinst, to query for 
missing firmware images:

# dpkg -i ./linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
[...]
Running depmod.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.39-1-amd64 /boot/vmlinuz-2.6.39-1-amd64
update-initramfs: Generating /boot/initrd.img-2.6.39-1-amd64
W: Possible missing firmware /lib/firmware/usbfs_snoop:true for module usbcore
W: Possible missing firmware /lib/firmware/to for module usbcore
W: Possible missing firmware /lib/firmware/log for module usbcore
W: Possible missing firmware /lib/firmware/all for module usbcore
W: Possible missing firmware /lib/firmware/usbfs for module usbcore
W: Possible missing firmware /lib/firmware/traffic for module usbcore
W: Possible missing firmware /lib/firmware/(bool) for module usbcore
W: Possible missing firmware /lib/firmware/blinkenlights:true for module usbcore
[...]
W: Possible missing firmware /lib/firmware/sectors for module sata_sil
W: Possible missing firmware /lib/firmware/(0=off, for module sata_sil
W: Possible missing firmware /lib/firmware/1=on) for module sata_sil
W: Possible missing firmware /lib/firmware/(int) for module sata_sil
W: Possible missing firmware /lib/firmware/all_generic_ide: for module ata_generic
W: Possible missing firmware /lib/firmware/(int) for module ata_generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.39-1-amd64 /boot/vmlinuz-2.6.39-1-amd64
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.39-1-amd64 /boot/vmlinuz-2.6.39-1-amd64
Generating grub.cfg ...
[...]

These problems disappear after reverting to module-init-tools 3.12-1:

$ /sbin/modinfo -F firmware ath9k_htc
ar9271.fw
ar7010_1_1.fw
ar7010.fw

$ /sbin/modinfo -F firmware /lib/modules/2.6.39-1-amd64/kernel/drivers/net/wireless/ath/ath9k/ath9k_htc.ko 
ar9271.fw
ar7010_1_1.fw
ar7010.fw

# dpkg -i ./linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
[...]
Running depmod.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.39-1-amd64 /boot/vmlinuz-2.6.39-1-amd64
update-initramfs: Generating /boot/initrd.img-2.6.39-1-amd64
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.39-1-amd64 /boot/vmlinuz-2.6.39-1-amd64
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.39-1-amd64 /boot/vmlinuz-2.6.39-1-amd64
Generating grub.cfg ...
[...]

Regards
	Stefan Lippers-Hollmann

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages module-init-tools depends on:
ii  libc6                         2.13-4     Embedded GNU C Library: Shared lib
ii  lsb-base                      3.2-27     Linux Standard Base 3.2 init scrip

module-init-tools recommends no packages.

module-init-tools suggests no packages.

-- no debconf information




Forcibly Merged 628844 628859. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 02 Jun 2011 01:57:06 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 02 Jun 2011 01:57:09 GMT) Full text and rfc822 format available.

Forcibly Merged 628844 628859 628898 628947. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 02 Jun 2011 14:39:04 GMT) Full text and rfc822 format available.

Forcibly Merged 628844 628859 628898 628947. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Fri, 03 Jun 2011 18:27:04 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Fri, 03 Jun 2011 18:51:07 GMT) Full text and rfc822 format available.

Notification sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Bug acknowledged by developer. (Fri, 03 Jun 2011 18:51:07 GMT) Full text and rfc822 format available.

Message #18 received at 628844-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 628844-close@bugs.debian.org
Subject: Bug#628844: fixed in module-init-tools 3.16-1
Date: Fri, 03 Jun 2011 18:48:33 +0000
Source: module-init-tools
Source-Version: 3.16-1

We believe that the bug you reported is fixed in the latest version of
module-init-tools, which is due to be installed in the Debian FTP archive:

module-init-tools-udeb_3.16-1_i386.udeb
  to main/m/module-init-tools/module-init-tools-udeb_3.16-1_i386.udeb
module-init-tools_3.16-1.debian.tar.gz
  to main/m/module-init-tools/module-init-tools_3.16-1.debian.tar.gz
module-init-tools_3.16-1.dsc
  to main/m/module-init-tools/module-init-tools_3.16-1.dsc
module-init-tools_3.16-1_i386.deb
  to main/m/module-init-tools/module-init-tools_3.16-1_i386.deb
module-init-tools_3.16.orig.tar.bz2
  to main/m/module-init-tools/module-init-tools_3.16.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628844@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated module-init-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Jun 2011 20:23:06 +0200
Source: module-init-tools
Binary: module-init-tools module-init-tools-udeb
Architecture: source i386
Version: 3.16-1
Distribution: unstable
Urgency: high
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 module-init-tools - tools for managing Linux kernel modules
 module-init-tools-udeb - tools for managing Linux kernel modules (udeb)
Closes: 628844
Changes: 
 module-init-tools (3.16-1) unstable; urgency=high
 .
   * New upstream release.
   * Fixed the fix for #604017 which broke modinfo -F. (Closes: #628844)
Checksums-Sha1: 
 a5044994236acafd8ab733b08ca43d7c2704d081 1086 module-init-tools_3.16-1.dsc
 919c9fb3e8c73a5790411da1c4d79efda19db195 228821 module-init-tools_3.16.orig.tar.bz2
 599565b3d5662f8a1698ae79a8875d67f59259d8 14910 module-init-tools_3.16-1.debian.tar.gz
 c39b308068932c699dc7c6db159d8c9a369103ca 111504 module-init-tools_3.16-1_i386.deb
 62696d89b8907e92497620f5cbb091bfd41c2dc4 53866 module-init-tools-udeb_3.16-1_i386.udeb
Checksums-Sha256: 
 7c0aec63de54d1485f89b2d24d855bcce3cf0f51770377a09694361d1b081776 1086 module-init-tools_3.16-1.dsc
 e1f2cdcae64a8effc25e545a5e0bdaf312f816ebbcd0916e4e87450755fab64b 228821 module-init-tools_3.16.orig.tar.bz2
 a24dd9c9c9042f1810fa84d98f1f432b976dd1bf4acf36b58e606eb6a9e48d48 14910 module-init-tools_3.16-1.debian.tar.gz
 91c2468070a1161327ced7cf682f7a8a3eb3b7f4038bc3e4ff325fe23dba5978 111504 module-init-tools_3.16-1_i386.deb
 cd96eeaf7db9827aa06a2299e9a03d980011d8d9081db4a2b9c87b9c039a7d66 53866 module-init-tools-udeb_3.16-1_i386.udeb
Files: 
 a9f0b41faeebf3cef6a31ac30fce9e7d 1086 admin important module-init-tools_3.16-1.dsc
 bc44832c6e41707b8447e2847d2019f5 228821 admin important module-init-tools_3.16.orig.tar.bz2
 b18cf0f2afda1e5940bae72bf039691e 14910 admin important module-init-tools_3.16-1.debian.tar.gz
 2f801f2194abda38d63b5b68cd5e7b16 111504 admin important module-init-tools_3.16-1_i386.deb
 8d5a0946254721a5f4bd04e4c2db9bba 53866 debian-installer extra module-init-tools-udeb_3.16-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3pJ/wACgkQFGfw2OHuP7FNLQCfXb7CDoIxe0+ecYnzuNKP5Fn/
gXoAoJMBtYuTPgC7QdQPPUIW6Jb1oV/b
=dD2H
-----END PGP SIGNATURE-----





Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Fri, 03 Jun 2011 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Fri, 03 Jun 2011 18:51:08 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Fri, 03 Jun 2011 18:51:09 GMT) Full text and rfc822 format available.

Notification sent to pmatthaei@debian.org:
Bug acknowledged by developer. (Fri, 03 Jun 2011 18:51:09 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Fri, 03 Jun 2011 18:51:09 GMT) Full text and rfc822 format available.

Notification sent to Ludovic Rousseau <ludovic.rousseau@free.fr>:
Bug acknowledged by developer. (Fri, 03 Jun 2011 18:51:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 07:34:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:33:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.